LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
InteractionHandler Service Referencepublished

is a service for user interaction for databases. More...

`import"InteractionHandler.idl";`

Inheritance diagram for InteractionHandler:

## Additional Inherited Members
Public Member Functions inherited from XInteractionHandler
void | handle ([in] com::sun::star::task::XInteractionRequest Request)
| Handle an interaction request. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a service for user interaction for databases.

Deprecated:
  Do not use this service anymore. Instead, create a generic com::sun::star::task::InteractionHandler instance, and pass it your request. It will determine, based on configuration data, which concrete interaction handler implementation to use for a specific request. In particular, requests formerly server by this service here are by default passed to a DatabaseInteractionHandler.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/InteractionHandler.idl